
Core - Task # 56622

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 56431 (Resolved): Use new wizard registration and remove wizard entry points

Status: Resolved Priority: Should have
Author: Alexander Schnitzler Category:
Created: 2014-03-06 Assigned To:
Updated: 2014-03-06 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Regression: The requested URL /typo3/' T3_THIS_LOCATION ' was not found on this server.
Description

Using the list module and hide/unhide a record, the following error occurs:

Not Found

The requested URL /typo3/' T3_THIS_LOCATION ' was not found on this server.

0f73b6ab9a1cfcf11dc3baed578f130fa3516987 is the first bad commit
commit 0f73b6ab9a1cfcf11dc3baed578f130fa3516987
Author: Helmut Hummel <helmut.hummel@typo3.org>
Date:   Sun Mar 2 19:01:34 2014 +0100

    [TASK] Make browse_links.php a wizard

    Resolves: #56470
    Releases: 6.2
    Change-Id: I7bf8c20ab7e084efca352840f88007a574f7e270
    Reviewed-on: https://review.typo3.org/27981
    Reviewed-by: Markus Klein
    Tested-by: Markus Klein
    Reviewed-by: Anja Leichsenring
    Tested-by: Anja Leichsenring

Related issues:
follows Core - Task # 56470: Make typo3/browse_links.php and rtehtmlarea/mod3... Resolved 2014-03-02

Associated revisions
Revision 104573cc - 2014-03-06 22:18 - Helmut Hummel

[BUGFIX] Remove wrong quoting

While moving the element browser to a module
quoting was added in several places.

However quoting DocumentTemplate::issueCommand

2015-08-04 1/2



calls does not work, as the returned string
contains JavaScript.

Remove the quoting in these places.

Resolves: #56622
Releases: 6.2
Change-Id: I1b9ec8b4a5900940a5c5dfd81ed712f2994ecef3
Reviewed-on: https://review.typo3.org/28119
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Alexander Schnitzler
Tested-by: Alexander Schnitzler
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-03-06 21:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28119

#2 - 2014-03-06 21:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28119

#3 - 2014-03-06 22:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:104573cc72dde0013ea47a1acdb557437a655ad1.
